import { Injectable } from '@angular/core'

import { Observable, of as observableOf } from 'rxjs'
import { map } from 'rxjs/operators'

// import { Apollo, gql } from 'apollo-angular'

import { AdminService, AdminBasket, BasketNameOnly, Project,
    BasketImportResult
 } from '../../openapi'

export class AdminBasketFile {
    constructor(
        public id: number,
        public dir: string,
        public name: string,
        public url: string,
        public md5: string,
        public time: Date,
        public comment: string,
        public status: string,
        public store: string,
        public project: string,
        public surveyor: string,
        public equipment: string,
        public import_result?: string,
    ) {}
}

export class AdminBasketUploadFieldData {
    constructor(
        public stores: string[],
        public statuses: string[],
        public projects: string[],
        public surveyors: string[],
        public equipments: string[],
    ) {}
}